Skip to main content
GET
Get Connections Endpoint

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Open-Wearables-API-Key
string | null

Path Parameters

user_id
string<uuid>
required

Response

Successful Response

user_id
string<uuid>
required
provider
string
required
id
string<uuid>
required
status
enum<string>
required

Status of a user connection to a provider.

Available options:
active,
revoked,
expired
last_synced_at
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
provider_user_id
string | null
provider_username
string | null
scope
string | null
icon_url
string | null

Relative URL to provider icon (e.g., '/static/provider-icons/garmin.svg'). Resolve against the API base URL.

max_historical_days
integer | null
rest_pull
boolean
default:false
webhook_stream
boolean
default:false
webhook_ping
boolean
default:false
webhook_callback
boolean
default:false
live_sync_mode
enum<string> | null
Available options:
pull,
webhook
linked_user_ids
string<uuid>[]